﻿@using Portal.Models
@using System.Web.UI.WebControls
@model Toyota.Common.Web.MVC.ModelHolder
@{
    ViewBag.Title = "";
    Layout = "~/Views/Shared/_Layout.cshtml";
    // var news = Model.GetNews.First();
   
 }

<script type="text/javascript">
   
    function OnListBoxSelectionChanged(listBox, args) {
        ListdefApplication.SetText(listBox.GetSelectedItem().text);
        ListdefApplication.HideDropDown();
    }

    function InitDefApp(dropDown, args) {
        $.ajax({
            url: "/Security/initDropList",
            success: function (result) {
                ListdefApplication.SetText(result);
            }
        });
    }

    function showLoadingDialog(msg) {
        setLoadingMessage(msg);
        aspxGetControlCollection().GetByName("popupProgress").Show()
    }

    function hideLoadingDialog() {
        $("#DOPMessageLabel").html("");
        aspxGetControlCollection().GetByName("popupProgress").Hide()
    }

    function setLoadingMessage(msg) {
        $("#DOPMessageLabel").html(msg);
    }

    function onLogout() {
        
        history.go(history.length); 
        showLoadingDialog("Logging out...");
        
        $.ajax({
            url: "/Security/LogoutFunc",
            async: false,
            success: function (result) {
                if (result.length > 300)
                {
                    window.document.write(result);
                    window.document.close();
                }
                else
                    window.location = result;
//                if(result.d == 0)
//                {
//                    alert("Log out failed.");
//                    hideLoadingDialog();
//                }
            },
            error: function() {
                hideLoadingDialog();
            }
        });

        $.ajax({
            url: "https://portal-qa.toyota.co.id/ippcs-qa/Login/StaticLogout",
            dataType: "jsonp",
            async: false,
            success: function (result) {
                //                if(result.d == 0)
                //                {
                //                    alert("Log out failed.");
                //                    hideLoadingDialog();
                //                }
            },
            error: function () {
                hideLoadingDialog();
            }
        })
    }
    function GDEClick() {
        
        $.ajax({
            type: "POST",
            url: "/Security/GDE",
            success: function (result) {
                alert(result.url);
            }
        });
    }

    function IPPCSClick() { 
        $.post("/Security/IPPCS", function (data) {
            window.location = data.url;
        });
        
    }

    function ElvisClick() {

        $.ajax({
            type: "POST",
            url: "/Security/Elvis",
            success: function (result) {
                alert(result.url);
                window.location = result.url;
            }
        });
    }

    function onUpdateDefApp() {
        showLoadingDialog("\nUpdating default application.\n");
        username = '@TempData["ParamUsername"]';
        defApplication = ListdefApplication.GetText();

        $.ajax({
            type: "POST",
            url: "/Security/UpdateDefaultApp",
            data: {
                userName: username,
                defApplication: defApplication
            },
            success: function (result) {
                hideLoadingDialog();
            },
            error: function (obj, status, error) {
                hideLoadingDialog();
                alert(status);
            },
        });
    }
</script>
 <div class="content">
    <script type="text/javascript">
        var session = '@Session["AuthorizedLandingUrl"]';
        if (session != null && session != "") {

            $.ajax({
                type: "POST",
                url: "/Security/DeleteSessionLandingURL",
                success: function (result) {
                    myWin = window.open(session);
                    myWin.document.URL("target:blank");
                },
                error: function (result) {
                    myWin = window.open(session);
                    myWin.document.URL("target:blank");
                }
            });

        }
     </script>
    <div class="left_content">
        <div class="def_box">
            <h3>@Html.DevExpress().Label(
                settings => {
                    settings.Name = "lblWelcome";
                    settings.Text = "Welcome " + Session["ParamUn"];
                    settings.ControlStyle.Font.Bold = true;
                }
            ).GetHtml()</h3>
            <div class="def_text">
                Your default application is:
            </div>
            <div class="def_drop" style="margin-top: 10px;margin-left:10px">
                @Html.DevExpress().DropDownEdit(
                    settings =>
                    {
                        settings.Name = "ListdefApplication";
                        settings.Width = 310;
                        settings.Properties.AnimationType = AnimationType.None;
                        settings.Properties.ClientSideEvents.Init = "InitDefApp";
                        settings.SetDropDownWindowTemplateContent(
                            c =>
                            {
                                @Html.DevExpress().ListBox(
                                    listBoxSettings =>
                                    {   
                                        listBoxSettings.Name = "checkListBox";
                                        listBoxSettings.Properties.SelectionMode = ListEditSelectionMode.Single;
                                        listBoxSettings.Properties.Items.Add("------------- Choose your default application -------------");
                                        listBoxSettings.Properties.Items.Add("IPPCS", "1");
                                        listBoxSettings.Properties.Items.Add("ELVIS", "2");
                                        listBoxSettings.Properties.Items.Add("FileBox", "3");
                                        listBoxSettings.Properties.Items.Add("GWSI", "4");
                                        listBoxSettings.Properties.Items.Add("SDOW", "5");
                                        listBoxSettings.Properties.Items.Add("GDE", "6");
                                        listBoxSettings.Properties.Items.Add("TMS", "7");

                                        listBoxSettings.Properties.ClientSideEvents.SelectedIndexChanged = "OnListBoxSelectionChanged";
                                    }
                                ).Render();
                            }
                        );
                    }
                ).GetHtml()
            </div>
            <div class="def_button">
                <a href="#" onclick="onUpdateDefApp()">
                    <img alt="Update Default Application" src="@Url.Content("~/Content/images/update_button.png")" name="update_button1" border="0" align="left" class="update_button1" onmouseover="MM_swapImage('update_button1','','../../Content/images/update_button_h.png',1)" onmouseout="MM_swapImgRestore()" /></a>
                <a onclick="onLogout()">
                    <img alt="Logout" src="@Url.Content("~/Content/images/logout_button.png")" name="logout_button1" border="0" align="right" class="logout_button1" onmouseover="MM_swapImage('logout_button1','','../../Content/images/logout_button_h.png',1)" onmouseout="MM_swapImgRestore()" /></a>
            </div>
            <!--end def_button -->
        </div>
        <!--end def_box -->
    </div>
    <!--end left content -->

    <div class="right_content" style="position:relative;left:-4px">
        <div class="table_app">
            <table width="478" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td>
                        <a href="#" onclick="PopUpPortFolio('PopFaq', 'popupFaq', 'overlayFaq')">
                            <img alt="FAQ" src="@Url.Content("~/Content/Images/FAQ1.png")" name="FAQ1"  width="150" height="60" border="0" id="FAQ1" onmouseover="MM_swapImage('FAQ1','','@Url.Content("~/Content/Images/FAQ2.png")',1)" onmouseout="MM_swapImgRestore()" /></a>
                    </td>
                    <td>
                    <div style="width:6px"></div>
                    </td>
                    <td>
                        @*Edited By   : Yudha
                        Edited Dt   : 2013-12-20
                        Desc        : Url di ganti dari IPPCS ke Split Meny*@

                        @*  Remarked By   : Rahmat
                            Remarked Date : 2014-11-20
                            Desc          : submit ANYS, spot disubmit dengan bug id baru*@
                        <a href="@Url.Action("SplitMenu", "Security")" target="_blank">
                        <img src="@Url.Content("~/Content/Images/PPC1.png")" name="PPC1"  width="150" height="60" border="0" id="PPC1" onmouseover="MM_swapImage('PPC1','','@Url.Content("~/Content/Images/PPC2.png")',1)" onmouseout="MM_swapImgRestore()"></a>
                        
                      @*  <a href="@Url.Action("IPPCS", "Security")" target="_blank">
                            <img src="@Url.Content("~/Content/Images/PPC1.png")" name="PPC1"  width="150" height="60" border="0" id="PPC1" onmouseover="MM_swapImage('PPC1','','@Url.Content("~/Content/Images/PPC2.png")',1)" onmouseout="MM_swapImgRestore()">
                        </a>*@
                    </td>
                    <td>
                        <div style="width:6px"></div>
                    </td>
                    <td>
                        <a href="#" target="_blank">
                            <img src="@Url.Content("~/Content/Images/FileBox1.png")" name="FileBox1"  width="150" height="60" border="0" id="FileBox1" onmouseover="MM_swapImage('FileBox1','','@Url.Content("~/Content/Images/FileBox2.png")',1)" onmouseout="MM_swapImgRestore()"></a>
                    </td>
                </tr>
                <tr>
                    <td height="9"#
                        <div style="height:9px"></div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <a href="@Url.Action("GDE", "Security")" target="_blank">
                            <img src="@Url.Content("~/Content/Images/GDE1.png")" name="GDE1"  width="150" height="60" border="0" id="GDE1" onmouseover="MM_swapImage('GDE1','','@Url.Content("~/Content/Images/GDE2.png")',1)" onmouseout="MM_swapImgRestore()"></a>
                    </td>
                    <td>
                        <div style="width:6px"></div>
                    </td>
                    <td>
                        <a href="@System.Configuration.ConfigurationManager.AppSettings["GWSILinkRedirect"]" target="_blank">
                            <img src="@Url.Content("~/Content/Images/GWSI1.png")" name="GWSI1"  width="150" height="60" border="0" id="GWSI1" onmouseover="MM_swapImage('GWSI1','','@Url.Content("~/Content/Images/GWSI2.png")',1)" onmouseout="MM_swapImgRestore()"></a>
                    </td>
                    <td>
                        <div style="width:6px"></div>
                    </td>
                    <td>
                        <a href="@Url.Action("Elvis", "Security")" target="_blank">
                            <img src="@Url.Content("~/Content/Images/ELVIS1.png")" name="ELVIS1"  width="150" height="60" border="0" id="ELVIS1" onmouseover="MM_swapImage('ELVIS1','','@Url.Content("~/Content/Images/ELVIS2.png")',1)" onmouseout="MM_swapImgRestore()"></a>
                        
                    </td>
                </tr>
                <tr>
                    <td height="9">
                        <div style="height:9px"></div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <a href="https://supplier.toyota.co.id/">
                            <img src="@Url.Content("~/Content/Images/SDOW1.png")" name="SDOW1"  width="150" height="60" border="0" id="SDOW1" onmouseover="MM_swapImage('SDOW1','','@Url.Content("~/Content/Images/SDOW2.png")',1)" onmouseout="MM_swapImgRestore()"></a>
                    </td>
                    <td>
                        <div style="width:5px"></div>
                    </td>
                   <td>
                        <a href="@Url.Action("DownloadTools", "Security")" target="_blank">
                            <img alt="Download Tools" src="@Url.Content("~/Content/Images/download_tools.png")" name="DownloadTools"  width="150" height="60" border="0" id="DownloadTools" onmouseover="MM_swapImage('DownloadTools','','@Url.Content("~/Content/Images/download_tools_over.png")',1)" onmouseout="MM_swapImgRestore()"></a>                            
                    </td>
                     @*<td>
                        <a href="@Url.Action("ANY", "Security")" target="_blank">
                        <img alt="Accident Yokoten" src="@Url.Content("~/Content/Images/yoko.png")" name="AnYS"  width="150" height="60" border="0" id="AnYS" onmouseover="MM_swapImage('AnYS','','@Url.Content("~/Content/Images/yokoHover.png")',1)" onmouseout="MM_swapImgRestore()"></a>
                    </td>*@
                    <td>
                        <div style="width:5px"></div>
                    </td>
                    <td>
                  <a href="@Url.Action("TMS", "Security")" target="_blank">
                            <img alt="Blank" src="@Url.Content("~/Content/Images/TMS.jpg")" name="TMS"  width="150" height="60" border="0" id="Blank" onmouseover="MM_swapImage('TMS','','@Url.Content("~/Content/Images/TMS_Hover.jpg")',1)" onmouseout="MM_swapImgRestore()"></a>
                    </td>
                    
                </tr>
            </table>
        </div>
        <!--end table_app -->
    </div>
    <!--end right content -->
</div>

@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "popupProgress";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(100);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            ViewContext.Writer.Write("<table cellpadding=\"2\" width=\"100%\" border=\"0\" style=\"padding-top:16px; padding-left:16px; padding-right:16px;\">");
            ViewContext.Writer.Write("<tr style=\"height:100%;text-align:center\">");
            ViewContext.Writer.Write("<td colspan=\"3\" class=\"thColumn\">");
            Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.Name = "DOPMessageLabel";
                    edtSettings.EncodeHtml = false;
                    edtSettings.Text = "Logging Out<br />Please wait...";
                    edtSettings.ControlStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.True;
                    edtSettings.ControlStyle.Font.Bold = true;
                }).GetHtml();
            ViewContext.Writer.Write("</td></tr>");
            ViewContext.Writer.Write("<tr style=\"height:15px\"></tr>");
            ViewContext.Writer.Write("<tr><td align = \"center\" style=\"text-align:center;\">");
            Html.DevExpress().Image(
                setting =>
                {
                    setting.Name = "DOPProgressImage";
                    setting.ImageUrl = "~/Content/images/LoadingImage.gif";
                    setting.Height = Unit.Pixel(32);
                    setting.Width = Unit.Pixel(32);
                }).GetHtml();
            ViewContext.Writer.Write("</td>");
            ViewContext.Writer.Write("</tr></table>");
        });
    }).GetHtml()